Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.grid.quadrilateral
Interface GridCoordinates

All Superinterfaces:
  Cloneable

    @UML(identifier="CV_GridCoordinates",
         specification=ISO_19123)
    public interface GridCoordinates

extends Cloneable

Holds the set of grid coordinates that specifies the location of the grid point within the grid.

Method Summary
`int` | `getCoordinateValue(int i)` Returns the coordinate value at the specified dimension.
`int[]` | `getCoordinateValues()` Returns one integer value for each dimension of the grid.
`int` | `getDimension()` Returns the number of dimensions.
`void` | `loadCoordinateValues(int[] vals)` This is a compromise method which loads the values of this GridCoordinates implementation into the array provided by the user.
`void` | `setCoordinateValue(int i, int value)` Sets the coordinate value at the specified dimension.

Methods inherited from interface Cloneable
`clone`

Method Detail

### getDimension

    @Extension
    int getDimension()

  Returns the number of dimensions. This method is equivalent to `getCoordinateValues().length`. It is provided for efficienty.

### getCoordinateValue

    @Extension
    int getCoordinateValue(int i)

  Returns the coordinate value at the specified dimension. This method is equivalent to `getCoordinateValues()[i]`. It is provided for efficienty.

### setCoordinateValue

    @Extension
    void setCoordinateValue(int i,
                                      int value)

  Sets the coordinate value at the specified dimension. This method is equivalent to `getCoordinateValues()[i] = value`. It is provided for efficienty.

### getCoordinateValues

    @UML(identifier="coordValues",
         obligation=MANDATORY,
         specification=ISO_19123)
    int[] getCoordinateValues()

  Returns one integer value for each dimension of the grid. The ordering of these coordinate values shall be the same as that of the elements of `Grid.getAxisNames()`. The value of a single coordinate shall be the number of offsets from the origin of the grid in the direction of a specific axis.

  Returns:
    A copy of the coordinates. Changes in the returned array will not be reflected back in this `GridCoordinates` object.
  TODO:
    decide whether the returned values are changeable. Compare `DirectPosition` which states

### loadCoordinateValues

    @Extension
    void loadCoordinateValues(int[] vals)

  This is a compromise method which loads the values of this GridCoordinates implementation into the array provided by the user. Use of this method should be encouraged by those desiring to access the grid coordinates as an array.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.